Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.web.cache.mapping
Class Constants

    java.lang.Object
      com.sun.appserv.web.cache.mapping.Constants

public class Constants
extends java.lang.Object

Field Summary
`static java.lang.String[]` | `EXPR_NAMES`
`static java.lang.String[]` | `KEY_PREFIXES`
`static int` | `MATCH_EQUALS`
`static int` | `MATCH_GREATER`
`static int` | `MATCH_IN_RANGE`
`static int` | `MATCH_LESSER`
`static int` | `MATCH_NOT_EQUALS`
`static int` | `SCOPE_CONTEXT_ATTRIBUTE` field scope
`static java.lang.String[]` | `SCOPE_NAMES`
`static int` | `SCOPE_REQUEST_ATTRIBUTE`
`static int` | `SCOPE_REQUEST_COOKIE`
`static int` | `SCOPE_REQUEST_HEADER`
`static int` | `SCOPE_REQUEST_PARAMETER`
`static int` | `SCOPE_SESSION_ATTRIBUTE`
`static int` | `SCOPE_SESSION_ID`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCOPE_CONTEXT_ATTRIBUTE

    public static final int SCOPE_CONTEXT_ATTRIBUTE

  field scope

  See Also:
    Constant Field Values

### SCOPE_REQUEST_HEADER

    public static final int SCOPE_REQUEST_HEADER

See Also:
  Constant Field Values

### SCOPE_REQUEST_PARAMETER

    public static final int SCOPE_REQUEST_PARAMETER

See Also:
  Constant Field Values

### SCOPE_REQUEST_COOKIE

    public static final int SCOPE_REQUEST_COOKIE

See Also:
  Constant Field Values

### SCOPE_REQUEST_ATTRIBUTE

    public static final int SCOPE_REQUEST_ATTRIBUTE

See Also:
  Constant Field Values

### SCOPE_SESSION_ATTRIBUTE

    public static final int SCOPE_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### SCOPE_SESSION_ID

    public static final int SCOPE_SESSION_ID

See Also:
  Constant Field Values

### SCOPE_NAMES

    public static final java.lang.String[] SCOPE_NAMES

### KEY_PREFIXES

    public static final java.lang.String[] KEY_PREFIXES

### MATCH_EQUALS

    public static final int MATCH_EQUALS

See Also:
  Constant Field Values

### MATCH_GREATER

    public static final int MATCH_GREATER

See Also:
  Constant Field Values

### MATCH_LESSER

    public static final int MATCH_LESSER

See Also:
  Constant Field Values

### MATCH_NOT_EQUALS

    public static final int MATCH_NOT_EQUALS

See Also:
  Constant Field Values

### MATCH_IN_RANGE

    public static final int MATCH_IN_RANGE

See Also:
  Constant Field Values

### EXPR_NAMES

    public static final java.lang.String[] EXPR_NAMES

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.